

__sync_single_inode() is forgetting to increment inodes_stat.nr_unused when
moving a previously-dirty inode onto the inode_unused list.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/fs/fs-writeback.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN fs/fs-writeback.c~inodes_stat-nr_unused-fix fs/fs-writeback.c
--- 25/fs/fs-writeback.c~inodes_stat-nr_unused-fix	Fri Jun 25 13:34:51 2004
+++ 25-akpm/fs/fs-writeback.c	Fri Jun 25 13:35:15 2004
@@ -236,6 +236,7 @@ __sync_single_inode(struct inode *inode,
 			 * The inode is clean, unused
 			 */
 			list_move(&inode->i_list, &inode_unused);
+			inodes_stat.nr_unused++;
 		}
 	}
 	wake_up_inode(inode);
_
